GOLF(2gg)

NAME
random-crypto - (encryption)

PURPOSE
Obtain a random string for cryptographic use.

SYNTAX

        random-crypto to <random string> \
            [ length <string length> ]

DESCRIPTION
random-crypto obtains a random string of length <string length>. This statement uses a cryptographically secure pseudo random generator (CSPRNG) from OpenSSL library. If "length" clause is omitted, the length is 20 by default.

The value generated is always binary and may contain null-characters and is null-terminated.

Use this statement only when needed for specific cryptographic uses. In all other cases, use random-string which is considerably faster.

EXAMPLES
Get a 20-digit long random binary value:

        random-crypto to str length 20

SEE ALSO
 Encryption

decrypt-data derive-key encrypt-data hash-string hmac-string random-crypto random-string See all documentation